Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class CriteriaClauses

`java.lang.Object
oracle.jbo.CriteriaClauses`

public class CriteriaClauses
extends java.lang.Object

Constructor Summary
`CriteriaClauses()`
`CriteriaClauses(java.lang.String clauseForCache, java.lang.String clauseForQuery)`

Method Summary
`static CriteriaClauses` | `buildCriteriaClauses(ViewCriteria criteria, CriteriaAdapter criteriaAdapter)`
`java.lang.String` | `getClauseForCache()`
`java.lang.String` | `getClauseForQuery()`
`void` | `setClauseForCache(java.lang.String str)`
`void` | `setClauseForQuery(java.lang.String str)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CriteriaClauses

    public CriteriaClauses()

### CriteriaClauses

    public CriteriaClauses(java.lang.String clauseForCache,
                           java.lang.String clauseForQuery)

Method Detail

### getClauseForCache

    public java.lang.String getClauseForCache()

### setClauseForCache

    public void setClauseForCache(java.lang.String str)

### getClauseForQuery

    public java.lang.String getClauseForQuery()

### setClauseForQuery

    public void setClauseForQuery(java.lang.String str)

### buildCriteriaClauses

    public static CriteriaClauses buildCriteriaClauses(ViewCriteria criteria,
                                                       CriteriaAdapter criteriaAdapter)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.